Skip to main content
GET
/
api
/
v1
/
custom-fields
/
{custom_field_id}
Get Custom Field
curl --request GET \
  --url https://api.bindbee.dev/api/v1/custom-fields/{custom_field_id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "category": "HRIS",
  "model": "<string>",
  "source": "DASHBOARD",
  "created_at": "2023-11-07T05:31:56Z",
  "description": "Employee's guardian mobile number",
  "updated_at": "2023-11-07T05:31:56Z",
  "mappings": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "custom_field_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "json_path": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "integration_slug": "workday",
      "connector_token": "i5kqe8bSedEdPLX9pHhFojKdo7Uzvue0f7I4NVhaDfV0GTxF0uAgwa_COb3zZU3T",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.bindbee.dev/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

custom_field_id
string<uuid>
required

Response

Successful Response

id
string<uuid>
required

Unique identifier of the custom field.

Example:

"018e586b-7d0b-7bc9-be65-a8fdbc82d734"

name
string
required

Name of the custom field (snake_case).

Example:

"guardian_mobile"

category
enum<string>
required

Category of the model.

Available options:
HRIS,
ATS,
LMS
Example:

"HRIS"

model
string
required

Model on which the custom field is applied.

Example:

"employee"

source
enum<string>
required

Origin of the custom field. 'API' if created through the public API, 'DASHBOARD' if created from the Bindbee dashboard.

Available options:
DASHBOARD,
API
Example:

"API"

created_at
string<date-time>
required
description
string | null

Description of the custom field.

Example:

"Employee's guardian mobile number"

updated_at
string<date-time> | null
mappings
CustomFieldMappingExternal · object[]

All mappings configured for this custom field.